%define name guarddog
%define version 2.4.0
%define release 17%{?dist}
%define prefix /usr
%define sysconfdir /etc

Summary: Firewall Utility
Name: %{name}
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.gz
Source1: guarddog.desktop.AXS3
Source2: guarddog-zh_CN.po
Source3: guarddog-ja.po
Source4: guarddog-ko.po
Source5: guarddog-zh_TW.po

## Aternate_Command_Names ##
Source10: set-sysmgt-guarddog

Patch1:  guarddog-translation.patch

License: GPL
Group: Networking/Utilities
URL: http://www.simonzone.com/software/guarddog/
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: iptables, gawk, textutils, sed, qt >= 3.1.0, glibc >= 2.3.2
BuildRequires: qt-devel >= 3.1
Prefix: %{prefix}
%description
Guarddog is user friendly firewall generation and management utility for KDE
on Linux. It allows you to simply specify which protocols should be allowed
between which groups of computers and requires no knowledge of port numbers
or packets. Built on top of ipchains and/or iptables.

Development version. This package is for Fedora Core 1 or later. Based on Matthew Schick's package.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
%patch1 -p1

%build

cp -r %{SOURCE1} kde/guarddog.desktop

unset QTDIR && . /etc/profile.d/qt.sh
export QTLIB=$QTDIR/lib

suffix=""
if [ "%{_lib}" == "lib64" ]; then
    suffix="64"
fi

CXXFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=%{prefix} --sysconfdir=%{sysconfdir} --with-qt-libraries=$QTLIB --enable-libsuffix="$suffix"
make

%install
make install prefix=$RPM_BUILD_ROOT/%{prefix}
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/locale/zh_CN/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/locale/zh_TW/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/locale/ja/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/locale/ko/LC_MESSAGES
msgfmt -o $RPM_BUILD_ROOT%{prefix}/share/locale/zh_CN/LC_MESSAGES/guarddog.mo %{SOURCE2}
msgfmt -o $RPM_BUILD_ROOT%{prefix}/share/locale/ja/LC_MESSAGES/guarddog.mo %{SOURCE3}
msgfmt -o $RPM_BUILD_ROOT%{prefix}/share/locale/ko/LC_MESSAGES/guarddog.mo %{SOURCE4}
msgfmt -o $RPM_BUILD_ROOT%{prefix}/share/locale/zh_TW/LC_MESSAGES/guarddog.mo %{SOURCE5}

## Aternate_Command_Names ##
install -m 755 %{SOURCE10} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc README TODO AUTHORS COPYING ChangeLog
%{prefix}/bin/guarddog
%{prefix}/bin/set-sysmgt-guarddog
%{prefix}/share/apps/guarddog/networkprotocoldb.xml
%{prefix}/share/apps/guarddog/pics/advanced.png
%{prefix}/share/apps/guarddog/pics/box_clear.png
%{prefix}/share/apps/guarddog/pics/box_checked.png
%{prefix}/share/apps/guarddog/pics/box_crossed.png
%{prefix}/share/apps/guarddog/pics/chat.png
%{prefix}/share/apps/guarddog/pics/dataserve.png
%{prefix}/share/apps/guarddog/pics/filetransfer.png
%{prefix}/share/apps/guarddog/pics/game.png
%{prefix}/share/apps/guarddog/pics/logging.png
%{prefix}/share/apps/guarddog/pics/mail.png
%{prefix}/share/apps/guarddog/pics/miscellaneous.png
%{prefix}/share/apps/guarddog/pics/multimedia.png
%{prefix}/share/apps/guarddog/pics/network.png
%{prefix}/share/apps/guarddog/pics/protocols.png
%{prefix}/share/apps/guarddog/pics/rate_limit.png
%{prefix}/share/apps/guarddog/pics/terminal.png
%{prefix}/share/apps/guarddog/pics/userdefined.png
%{prefix}/share/apps/guarddog/pics/warn.png
%{prefix}/share/apps/guarddog/pics/zones.png
%{prefix}/share/apps/guarddog/pics/laserwarn.png
%{prefix}/share/doc/HTML/en/guarddog/
%{prefix}/share/icons/locolor/32x32/apps/guarddog.png
%{prefix}/share/icons/hicolor/48x48/apps/guarddog.png
%{prefix}/share/icons/hicolor/32x32/apps/guarddog.png
%{prefix}/share/icons/locolor/16x16/apps/guarddog.png
%{prefix}/lib/menu/guarddog
%{prefix}/share/locale/da/LC_MESSAGES/guarddog.mo
%{prefix}/share/locale/de/LC_MESSAGES/guarddog.mo
%{prefix}/share/locale/fr/LC_MESSAGES/guarddog.mo
%{prefix}/share/locale/it/LC_MESSAGES/guarddog.mo
%{prefix}/share/locale/ja/LC_MESSAGES/guarddog.mo
%{prefix}/share/locale/ko/LC_MESSAGES/guarddog.mo
%{prefix}/share/locale/nl/LC_MESSAGES/guarddog.mo
%{prefix}/share/locale/zh_CN/LC_MESSAGES/guarddog.mo
%{prefix}/share/locale/zh_TW/LC_MESSAGES/guarddog.mo
%{prefix}/share/sgml/*
%{prefix}/share/applnk/System/guarddog.desktop

%post

if [ ! -e /etc/rc.firewall ]; then
  echo "#!/bin/sh" > /etc/rc.firewall
  echo "# This is just a place holder rc.firewall file so that when the links" >> /etc/rc.firewall
  echo "# /sbin/ifup-local and /sbin/ifdown-local have something valid to  point to." >> /etc/rc.firewall
  echo "# It will be over written once the Guarddog configuration utility is used." >> /etc/rc.firewall
  echo "# --Guarddog, http://www.simonzone.com/software/guarddog/" >> /etc/rc.firewall
  chmod u+x /etc/rc.firewall
fi
if [ ! -x /sbin/ifup-local ]; then
  ln -sf /etc/rc.firewall /sbin/ifup-local
  if [ $? -ne 0 ]; then
    echo "*** Warning: Could not make a link from /sbin/ifup-local to /etc/rc.firewall ***"
  fi
fi
if [ ! -x /sbin/ifdown-local ]; then
  ln -sf /etc/rc.firewall /sbin/ifdown-local
  if [ $? -ne 0 ]; then
    echo "*** Warning: Could not make a link from /sbin/ifdown-local to /etc/rc.firewall ***"
  fi
fi

if [ ! -e /etc/ppp/ip-up.local ]; then
  echo "#!/bin/bash" > /etc/ppp/ip-up.local
  echo "#" >> /etc/ppp/ip-up.local
  echo "# This short script just runs any firewall script located at /etc/rc.firewall ." >> /etc/ppp/ip-up.local
  echo "# It will be called whenever a ppp interface comes up. Normally we would hook" >> /etc/ppp/ip-up.local
  echo "# our firewall script in via /sbin/ifup-local, but a bug in the" >> /etc/ppp/ip-up.local
  echo "# /etc/ppp/ip-up script prevents that from working. This script provides a" >> /etc/ppp/ip-up.local
  echo "# workaround." >> /etc/ppp/ip-up.local
  echo "#" >> /etc/ppp/ip-up.local
  echo "# cheers, Guardddog http://www.simonzone.com/software/guarddog/" >> /etc/ppp/ip-up.local
  echo "#" >> /etc/ppp/ip-up.local
  echo "[ -x /etc/rc.firewall ] && /etc/rc.firewall" >> /etc/ppp/ip-up.local
  chmod u+x /etc/ppp/ip-up.local
fi
if [ ! -e /etc/ppp/ip-down.local ]; then
  echo "#!/bin/bash" > /etc/ppp/ip-down.local
  echo "#" >> /etc/ppp/ip-down.local
  echo "# This short script just runs any firewall script located at /etc/rc.firewall ." >> /etc/ppp/ip-down.local
  echo "# It will be called whenever a ppp interface goes down. Normally we would hook" >> /etc/ppp/ip-down.local
  echo "# our firewall script in via /sbin/ifdown-local, but a bug in the" >> /etc/ppp/ip-down.local
  echo "# /etc/ppp/ip-down script prevents that from working. This script provides a" >> /etc/ppp/ip-down.local
  echo "# workaround." >> /etc/ppp/ip-down.local
  echo "#" >> /etc/ppp/ip-down.local
  echo "# cheers, Guardddog http://www.simonzone.com/software/guarddog/" >> /etc/ppp/ip-down.local
  echo "#" >> /etc/ppp/ip-down.local
  echo "[ -x /etc/rc.firewall ] && /etc/rc.firewall" >> /etc/ppp/ip-down.local
  chmod u+x /etc/ppp/ip-down.local
fi

%postun
if [ $1 = 0 ];then
  rm -f /sbin/ifdown-local
  rm -f /sbin/ifup-local
  rm -f /etc/rc.firewall
  rm -f /etc/ppp/ip-down.local
  rm -f /etc/ppp/ip-up.local
fi


%changelog
* Tue Apr 15 2008 Nam, Kwonwoo <kwnam@haansoft.com> 2.4.0-17%{?dist}
- change Aternate Command Names (SOURCE10) for display some message
  when command run without X - bugzilla 4103

* Mon Apr 14 2008 Nam, Kwonwoo <kwnam@haansoft.com> 2.4.0-16AXS3
- change SOURCE10's Name to set-sysmgt-guarddog - bugzilla 4104

* Mon Mar 03 2008 Nam, Kwonwoo <kwnam@haansoft.com> 2.4.0-15AXS3
- add Aternate Command Names (SOURCE10) - bugzilla 3978

* Mon Mar 03 2008 Shu Li <shuli@redflag-linux.com> 2.4.0-14AX
- remove some translation from po files for bug #3465 #3535.
- modify post scripts

* Mon Aug 13 2007 Shu Li <shuli@redflag-linux.com> 2.4.0-13AX
- remove some translation as we can not use them.

* Tue Aug 07 2007 Nam, Kwonwoo <kwnam@haansoft.com> 2.4.0-12AX
- modified guarddog-ko.po file (#3384)

* Wed Jul 11 2007 Ki-Young, Lee <kylee@haansoft.com> 2.4.0-11AX
- modify axtu.desktop.AXS3

* Tue Jun 12 2007 Ki-Young, Lee <kylee@haansoft.com> 2.4.0-10AX
- modify SOURCE#1( modify desktop categories )

* Tue Jul 19 2005 Hua Jie <jiehua@redflag-linux.com> 2.4.0-9AX
- modify Chinese messages

* Wed Jul 12 2005 Nam, Kwonwoo <kwnam@haansoft.com> 2.4.0-8AX
- modified desktop file

* Wed Jun 29 2005 Hua Jie <jiehua@redflag-linux.com> 2.4.0-7AX
- modify Chinese messages

* Fri Jun 24 2005 Hua Jie <jiehua@redflag-linux.com> 2.4.0-6AX
- add Tradition Chinese messages

* Wed Jun 15 2005 Nam, Kwonwoo <kwnam@haansoft.com> 2.4.0-5AX
- add Korean message.

* Fri Jun 10 2005 Hua Jie <jiehua@redflag-linux.com> 2.4.0-4AX
- remove Packager, Vendor and Distribution

* Thu Jun  2 2005 Shiro Yamada <shiro@miraclelinux.com> 2.4.0-3AX

- add japanese message.

* Thu Apr 28 2005 Siyuan Wang <sywang@redflag-linux> 2.4.0-2AX

- add chinese mo for asianux.

* Sat Jun 21 2003 Gunner Poulsen <gunner@gnuskole.dk> 0.9.1-1-rh9

- Updated to version 2.1.4.
- Fixed the way Guarddog is added to the menu.

* Sun Oct 27 2002 Matthew Schick <Matthew.Schick@usm.edu> 0.9.0-1mr-rh80

- Modified Specfile for RH
